Gecode::BranchTraits< FloatVar > Class Reference

Traits of FloatVar for branching. More...

`#include <traits.hpp>`

## Public Types

typedef FloatBranchFilter | Filter
| Type for the branching filter function.
typedef FloatBranchMerit | Merit
| Type for the branching merit function.
typedef FloatBranchVal | Val
| Type for the branching value function.
typedef FloatNumBranch | ValType
| Return type of the branching value function.
typedef FloatBranchCommit | Commit
| Type for the branching commit function.

## Detailed Description

Traits of FloatVar for branching.

Definition at line 38 of file traits.hpp.

## Member Typedef Documentation

## Filter

typedef FloatBranchFilter Gecode::BranchTraits< FloatVar >::Filter

Type for the branching filter function.

Definition at line 41 of file traits.hpp.

## Merit

typedef FloatBranchMerit Gecode::BranchTraits< FloatVar >::Merit

Type for the branching merit function.

Definition at line 43 of file traits.hpp.

## Val

typedef FloatBranchVal Gecode::BranchTraits< FloatVar >::Val

Type for the branching value function.

Definition at line 45 of file traits.hpp.

## ValType

typedef FloatNumBranch Gecode::BranchTraits< FloatVar >::ValType

Return type of the branching value function.

Definition at line 47 of file traits.hpp.

## Commit

typedef FloatBranchCommit Gecode::BranchTraits< FloatVar >::Commit

Type for the branching commit function.

Definition at line 49 of file traits.hpp.

The documentation for this class was generated from the following file:

- gecode/float/branch/traits.hpp